unit uQPConst;

interface

ResourceString

// Resource Strings by section/unit

//Random words
QP_UNKNOWN = 'Unknown';
QP_ROMS = 'ROMs';
QP_MATCHES = 'Matches';
QP_EMU = 'Emulators';
QP_FAV = 'Favourites';
QP_UNCHANGED = 'Unchanged';
QP_YES = 'Yes';
QP_NO = 'No';
QP_ALL = 'All';
QP_INPUT = 'Input';
QP_OUTPUT = 'Output';

//utilties
QP_RUN_PROCESS_EMPTY = 'Empty string was passed to Run Process function';
QP_RUN_PROCESS_FAIL = 'The process could not be started, please check the application exists';

//IO related
QP_DIRECTORY_ALREADY_EXIST = 'Directory already exists';
QP_DIRECTORY_NOT_EXIST = 'Directory does not exist';
QP_DIRECTORY_NOT_SPECIFIED = 'No directory specified.';
QP_FILE_NOT_EXIST = 'File does not exist';
QP_FILE_NOT_SELECTED = 'Please select a file';
QP_FILE_ENTER_NAME = 'Enter File Name';
QP_FILE_ENTER_NAME_NO_EXT = 'Enter File Name (no extension)';
QP_FILE_VERIFY_DELETE = 'Are you sure you want to delete this file?';
QP_FILE_IS_DIRECTORY = 'Path points to a directory';
QP_INVALID_FILE_NAME = 'File Name is invalid';
QP_CREATE_DIR_FAILED = 'Cannot create Directory';
QP_ROMS_DATA_FILES_NOT_FOUND = 'There are no ROM datafiles found';
QP_ROMS_DATA_DIR_NOT_FOUND = 'The data directories were not found - they will be now be created';
QP_DRIVE_READ_ONLY = 'QuickPlay has detected that the drive you are running the program from is READ ONLY, therefore saving functionality has been disabled.';
QP_DRIVE_READ_ONLY_SHORT = 'Disk is Read Only';
QP_DIRCHECK_1 = 'Specified ';
QP_EXE_ERROR = 'Error';
QP_EXE_DOS = 'DOS';
QP_EXE_WIN16 = 'Win16';
QP_EXE_WIN32 = 'Win32';

//Emulator related
QP_EMULATOR_NOT_FOUND = 'Emulator Not Found';
QP_DELETE_ALL_LINKED_ROMS = 'Delete All roms linked to this emulator?';
QP_MAME_INI_NOT_FOUND = 'MAME.ini file not found, do you QuickPlay to create the default file?';
QP_MAME_GENERATE_DATA_ERR = 'Error Running MAME to generate data file.';
QP_EMU_DOESNT_SUPPORT_CMD = 'The emulator used to run this ROM does not support Command-lines, please change this ROM so that it points to an emulator that supports command-lines.';
QP_GET_ROM_PATH_FAILED = 'QuickPlay tried to generate a ROM path and failed.';
QP_GENERIC_RUN_FAILED = 'Running the ROM failed, please recheck ROM properties';
QP_CHANGE_RENAME_1 = '" has been renamed to "';
QP_CHANGE_RENAME_2 = '", update linked ROMs?';
QP_CHANGE_DELETED = '" has been deleted, delete all linked ROMs?';
QP_EMU_DELETE_ALL = 'Are you sure you wish to delete all your emulators?';
QP_EMU_DELETE_BY_SYS = 'Are you sure you want to delete all emulators linked to this system?';
QP_EMU_SELECT_ONE = 'Please select an emulator';

//TQPEmu property descriptions
QP_EMU_NAME = 'Name';
QP_EMU_VERSION = 'Version';
QP_EMU_PATH = 'Path';
QP_EMU_CFG = 'Config File';
QP_EMU_SYS = 'System';
QP_EMU_WWW = 'Home Page';
QP_EMU_PARAM = 'Parameters';
QP_EMU_PARAM_BEFORE = 'Insert Parameters infront of ROM';
QP_EMU_CMDLINE = 'Supports Command Lines';
QP_EMU_SHELL = 'Integrates into Shell';
QP_EMU_LAUNCHER = 'Use External Launcher Application';
QP_EMU_ZIP = 'Emulator Supports Zip Files';
QP_EMU_VERIFY = 'Verify Zips before launch';
QP_EMU_MAME = 'Emulator is MAME';
QP_EMU_INC_PATH = 'Include ROM path';
QP_EMU_ONLY_NAME = 'Only Requires ROM filename to launch';
QP_EMU_INC_EXT = 'Include File Name Extension';
QP_EMU_EXE_SHORT = 'Use Short Name (8:3) For EXEs';
QP_EMU_ROM_SHORT = 'Use Short Name (8:3) For ROMs';
QP_EMU_APOST = 'Enclose ROM path in Speech Marks';
QP_EMU_SCREENSAVER = 'Disable Screensaver on Launch';
QP_EMU_WINKEY = 'Disable Window Key on Launch';

//TQPROM property descriptions
QP_ROM_NAME = 'Rom Name';
QP_ROM_NAME_SHORT = 'Name';
QP_ROM_FILENAME = 'FileName';
QP_ROM_PATH = 'Path';
QP_ROM_EMU  = 'Emulator';
QP_ROM_TYPE = 'Type';
QP_ROM_LANG = 'Language';
QP_ROM_RATING = 'Rating';
QP_ROM_YEAR = 'Year';
QP_ROM_PLAYERS = 'Players';
QP_ROM_COMMENT = 'Comment';
QP_ROM_COMPANY = 'Company';
QP_ROM_NUM_PLAY = 'Number of Times Played';
QP_ROM_PARAM = 'Parameters';
QP_ROM_OVERRIDE_PARAM = 'Override Emu Parameters';

//TQPEmuOptHeadStr
QP_EMUOPT_GENERAL = 'General Options';
QP_EMUOPT_PARAM = 'Extra Parameters';
QP_EMUOPT_LAUNCH = 'Launch Mode';
QP_EMUOPT_CMDLINE = 'Command Line Options';
QP_EMUOPT_MAME = 'MAME Related Options';
QP_EMUOPT_WIN = 'Windows Settings';

//ROM Related
QP_ROM_NOT_FOUND = 'ROM file not found';
QP_IPS_NOT_FOUND = 'IPS file not found.';
QP_IPS_NOT_VALID = 'Specified IPS file is not a valid patch';
QP_TOTAL_INVALID_REMOVED = ' invalid ROMs were removed';
QP_RANDOM_RUN_FAILURE = 'QuickPlay failed to pick a random ROM.';
QP_MIRROR_NOT_ENABLED = 'Mirroring is not enabled for the currently selected directory';
QP_MIRROR_NO_DIRECTORIES = 'No Directories have been specified to mirror.';
QP_NO_CATVER = 'Catver.ini file does not exist - please check the file is in the DATs Directory';
QP_NO_NPLAYERS = 'nplayers.ini file does not exist - please check the file is in the DATs Directory';
QP_LINKED_EMU_NOT_FOUND = 'The emulator linked to this ROM was not found.';
QP_SELECT_ROM = 'Please Select The Rom';

//ratings
QP_RATING_5 = '5 - Excellent';
QP_RATING_4 = '4 - Good';
QP_RATING_3 = '3 - Average';
QP_RATING_2 = '2 - Poor';
QP_RATING_1 = '1 - Crap';

//Boolean Values
QP_BOOL_TRUE = 'True';
QP_BOOL_FALSE = 'False';

//Languages
QP_JAP = 'Japanese';
QP_ENG = 'English';
QP_CHI = 'Chinese';
QP_FRE = 'French';
QP_FIN = 'Finnish';
QP_GER = 'German';
QP_GRE = 'Greek';
QP_DUT = 'Dutch';
QP_KOR = 'Korean';
QP_SPA = 'Spanish';
QP_SWE = 'Swedish';
QP_ITA = 'Italian';

//query match type
QP_QUERY_CONTAIN = 'contains';
QP_QUERY_IS = 'is';
QP_QUERY_NO_MATCHES = 'No Matches Found.';

//zip related
QP_ZIP_NOT_EXTRACTED = 'Zip File Not Extracted';
QP_ZIP_CORRUPT = 'The zip file is invalid, and is likely to be corrupt';
QP_ZIP_NO_FILE_AFTER_EXTRACT = 'The file was not found after extraction.  The zip file might be non-existent, or corrupt, or just empty.';
QP_ZIP_SCAN_NOT_ZIP = 'You specified to scan inside a zip file, but the file provided is NOT a zip file.';
QP_ZIP_NON_ZIP_FILE = 'File is not a Zip File';

//Main Form Strings
QP_MAINFRM_VIRTUAL = 'Virtual Folders';
QP_MAINFRM_NO_ROMS = 'No ROMs Found';
QP_MAINFRM_FILTER_1 = ' ROMs with ';
QP_MAINFRM_FILTER_2 = ' Filtered out';
QP_MAINFRM_NEW_FOL = 'New Folder';
QP_MAINFRM_ERROR_CLEARING = 'Error while Clearing ROMS';
QP_MAINFRM_RENAME_1 = 'Rename ';
QP_MAINFRM_RENAME_2 = 'Input new name for ';
QP_MAINFRM_DBLCLICK = 'Double-click to run';

//Backup Form Text
QP_BACKUP_MAKE_SELECTION = 'You need to select either Backup or Restore';
QP_BACKUP_CHOOSE_DIFF_FILE = 'I want to choose a different file';
QP_BACKUP_CHOOSE = 'CHOOSE';
QP_BACKUP_NO_RESTORE = 'No restore files are selected';

//custom ROM data form
QP_CUSTOM_EXPORT = 'Export Custom Data to File';
QP_CUSTOM_IMPORT = 'Import Custom Data';
QP_CUSTOM_SELECT = 'Please Select to import or export your data';
QP_CUSTOM_IMPORT_COMPLETE = 'Import Complete';
QP_CUSTOM_EXPORT_COMPLETE = 'Export Complete';
QP_CUSTOM_BAD_DIR = 'You tried to save the data file into a directory that does not exist.';

//Edit EmuFinder Data file Form
QP_EDITEFIND_BAD_NAME = 'No name supplied, record will not be saved, do you want to fix this error?';
QP_EDITEFIND_BAD_EXE = 'No EXE name, record will not be saved, do you want to fix this error?';
QP_EDITEFIND_BAD_SYS = 'No system supplied, record will not be saved, do you want to fix this error?';

//Emu Finder form
QP_EFIND_NO_FILES = 'No Emu-Finder data files were found, please check they exist - they should be located in a directory called EFIND in the main Quickplay directory';
QP_EFIND_NO_DIR = 'EFIND Directory does not exist, please reinstall Quickplay to obtain the Emu-Finder data files';

//Emulators form
QP_EMUFRM_NO_SYS = 'No current system found, please click a node on the Systems tree.';
QP_EMUFRM_NOT_EMPTY = ' cannot be empty';
QP_EMUFRM_NO_NAME_WARNING = 'Emulator(s) detected with no Name or Path.  This emulator will be deleted if you continue. '+#13+#10+'Do you wish to continue?';

//Find Form
QP_FINDFRM_VIRTUAL_NAME = 'Enter Virtual Search Name';
QP_FINDFRM_VIRTUAL_NAME_LONG = 'Please enter a name for your virtual folder';
QP_FINDFRM_NAME_TAKEN = 'This name is already taken.  Try again';
QP_FINDFRM_NAME_BLANK = 'You entered a blank string for the name.  Please try again.';
QP_FINDFRM_NO_RESULTS = 'There are no search results, you cannot save this query';

//Folder Options Form
QP_FOLOPTFRM_BAD_ICONS = 'These files are not valid icons'+#13#10#13#10;
QP_FOLOPTFRM_FILE_EXT = 'File Extension Filter';
QP_FOLOPTFRM_FILE_EXT_1 = 'Add New Filter, in format "*.xxx"';

//MAMEmerge form
QP_MAMEM_BAD_DATA =  'Either no valid directory was given, or no emulator was selected';

//Migrate Form
QP_MIGRATE_MIRROR = 'Mirror Paths';
QP_MIGRATE_MISC = 'Media/Background/Real Icon Paths';

//rom properties form
QP_ROMPROP_TOP = 'Your at the top/bottom of the ROM list';

//run dialog
QP_RUNDLG_MAME_ROM = 'This is a MAME scanned ROM.';

//Scan roms form
QP_SCAN_NO_FILTER = 'There is no filter, please enter one eg *.zip';

QP_SETTINGS_RESET_CFG = 'Are you sure you want to erase ALL your configuration?';
QP_DELETE_REC_VERIFY = 'Are you sure you want to delete this record?';
QP_ENTER_ALL_DATA = 'Please Enter all Required Data';
QP_INVALID_INPUT = 'Invalid input detected.  Please check the data you entered is correct';
QP_SAVE_CHANGES = 'Do you want to save changes?';

implementation

end.
