{

Simple form for an About Box.  Nothing special about this file,
only slightly interesting thing is the link which is clickable.

}
unit fAbout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    LblLink: TLabel;
    lblMSN: TLabel;
    GroupBox1: TGroupBox;
    lblZipVer: TLabel;
    lblVTVer: TLabel;
    procedure LblLinkClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure LblLinkMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses fMain, ShellAPI, Clipbrd, uJZip, VirtualTrees;

{$R *.dfm}

procedure TAboutBox.LblLinkClick(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar(lblLink.Caption), '', '', sw_Show);
end;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  Version.Caption := QPVer;
  lblZipVer.Caption := uJZip.GetZipVersion;
  lblVTVer.Caption := VirtualTrees.VTVersion;
end;

procedure TAboutBox.LblLinkMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  Clip : TClipBoard;
begin
  If Button = mbRight then
  begin
    Clip := ClipBoard;
    Clip.AsText := 'http://www.smackdown-hotel.fsnet.co.uk';
  end;
end;

end.
 
